/*
 * This file is part of gshot.
 *
 * Gshot is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Gshot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Gshot; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Copyright (C) 2007-2011, Victor Ananjevsky <ananasik@gmail.com>
 */

#ifndef GSHOT_H
#define GSHOT_H

#include <gtk/gtk.h>
#include <glib/gi18n.h>

enum {
  GRAB_SCREEN=0,
  GRAB_WINDOW,
  GRAB_REGION,
};

typedef struct {
  GtkBuilder *xml;
  GdkPixbuf *image;

  gboolean frame;
  gboolean hide;
  gint mode;
  gint delay;

  gboolean tray;
  gboolean tray_hide;

  gchar *folder;

  GtkPrintSettings *print;
  GtkPageSetup *page;
} shot_t;

extern shot_t data;

GtkWidget * create_open_menu ();

#endif /* GSHOT_H */
